﻿@model SportsClub.Models.Home.ContactFormViewModel
@using reCAPTCHA.MVC

@{
    var recaptchaKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleRecaptchaAPIKey;
}

@section Scripts{
    <script src='https://www.google.com/recaptcha/api.js'></script>
}

@using (Ajax.BeginForm("Contact", "Home", new AjaxOptions() { OnSuccess = "contactSucceeded", OnBegin = "contactBegan", OnComplete = "contactCompleted", OnFailure = "contactFailed" }, new { @class = "clearfix" }))
{
    <div class="row">
        <div class="col-sm-6">
            <div class="form-group">
                @Html.LabelFor(m => m.FName, new { @class = "req" })
                @Html.TextBoxFor(m => m.FName, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.FName)
            </div>
        </div>
        <div class="col-sm-6">
            <div class="form-group">
                @Html.LabelFor(m => m.LName, new { @class = "req" })
                @Html.TextBoxFor(m => m.LName, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.LName)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-6">
            <div class="form-group">
                @Html.LabelFor(m => m.Email, new { @class = "req" })
                @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.Email)
            </div>
        </div>
        <div class="col-sm-6">
            <div class="form-group">
                @Html.LabelFor(m => m.Phone, new { @class = "req" })
                @Html.TextBoxFor(m => m.Phone, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.Phone)
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                @Html.LabelFor(m => m.BizName, new { @class = "req" })
                @Html.TextBoxFor(m => m.BizName, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.BizName)
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                @Html.LabelFor(m => m.Message, new { @class = "req" })
                @Html.TextAreaFor(m => m.Message, new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.Message)
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6" >
            <div class="form-group" id="subscribeBox">
                <div  class="checkbox center-vertical">
                    <label style="white-space:nowrap">
                        @Html.CheckBoxFor(m => m.Newsletter)
                        <input type="checkbox" id="fTNewsLetter" name="fTNewsLetter">
                        <span class="check"></span>
                        Subscribe to our newsletter
                    </label>
                </div>
            </div>
        </div>
        <div class="col-md-6" id="recaptchaBox">
            <div class="form-group">
                @Html.Recaptcha(recaptchaKey, CaptchaTheme.Light)
                @Html.ValidationMessage("ReCaptcha")
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
    <div class="row"> 
        <div class="col-md-12">
            <button class="btn btn-success pull-right"  data-loading-text="Submitting...">Submit</button>
        </div>
    </div>

   
}
